package com.wisewoods.base.bean;

import android.text.TextUtils;

import java.io.Serializable;
import java.util.List;

public class MettingInfo extends Results<MettingInfo.ListBean> {
    public static class DataBean implements Serializable {
        public long createId;
        public String createName;
        public long id;
        public String endTime;
        public long instanceId;
        public String joinUrl;
        public boolean liveState;

        public String meetingCode;
        public String meetingId;
        public int meetingType;
        public String members;
        public List<MettingInfo.MemberBean> membersList;
        public boolean muteStatus;
        public Object params;
        public boolean smsStatus;
        public String startTime;
        public int status;
        public String subject;
        public String userId;
        public String userName;
        public String venue;

        public String pasword;
        //"[{"phoneName":"林","phone":"17519403014"}]"
        public String phones;
        public String recordingFiles;

        public String getMembersStr() {
            String str = "";
            if (membersList != null) {
                for (MemberBean memberBean : membersList) {
                    str += memberBean.deptName + "/" + memberBean.nickName + "、";
                }
            }
            if (TextUtils.isEmpty(str)) {
                return str;
            } else {
                return str.substring(0, str.length() - 1);
            }
        }

    }

    public static class ListBean {
        public List<MettingInfo.DataBean> rows;
        public long total;
    }


    public static class MemberBean implements Serializable {
        public String deptName;
        public String nickName;
        public String phoneNumber;
        public long userId;
    }
}
