package com.wisewoods.base.bean;

import com.google.gson.annotations.SerializedName;

import java.util.List;

public class ProjectList extends Results<ProjectList.ListBean> {
    public static class ListBean {
        public List<ProjectList.DataBean> rows;
        public long total;
    }

    public static class DataBean {

        public double cost_budget;
        public String create_by;
        public String create_time;
        public long id;
        public String item_assistants;
        public String item_describe;
        @SerializedName(value = "item_end", alternate = "itemEnd")
        public String item_end;
        public String item_leades;
        @SerializedName(value = "item_name", alternate = "itemName")
        public String item_name;
        @SerializedName(value = "item_start", alternate = "itemStart")
        public String item_start;
        @SerializedName(value = "item_status", alternate = "itemStatus")
        public int item_status;
        public String organizer_ids;
        @SerializedName(value = "people_num", alternate = "peopleNum")
        public int people_num;
        public int source_type;
        public String sub_ledaers;
        @SerializedName(value = "training_type", alternate = "trainingType")
        public int training_type;

        public String undertaker_ids;
        public String update_by;
        public String update_time;

    }
}
