package com.wisewoods.base.bean;

import java.io.Serializable;
import java.util.List;

public class ScheduleInfo extends Results<ScheduleInfo.ListBean> {

    public static class ListBean {
        public List<ScheduleInfo.DataBean> rows;
        public long total;
    }

    public static class DataBean implements Serializable {

        public String courseCeremoneyName;
        public String courseEndTime;
        public String courseThumbnailUrl;
        public String courseType;
        public int isLive;
        public int courseStatus;
        public String courseStartTime;
        public float signInRate;
        public long scheduleId;

        public String updateTime;
        public long courseCeremoneyId;
        public String liveStartTime;
        public String liveEndTime;
        public String createTime;
        public String teamDeputyDirectors;
        public String createBy;
        public String updateBy;
        public long teamId;
        public String classroomBaseName;
        public String startTime;
        public long id;
        public long keynoteId;
        public String teamDirector;
        public int courseCeremonyType;
        public int liveStatus;
        public String treeRemark;
        public String teacherName;
        public String teacherUnit;
        public String teacherId;
        public String courseSynopsis;
        public int isEvaluate;
        public int OnlineMemberNum;
        public int groupType;
        public String groupsName;
        public String scheduleIdStr;

        public float getSignInRate() {
            return signInRate;
        }

        public String getS() {
            return (int) (signInRate * 100) + "%";
        }


    }
}
