package com.wisewoods.base.bean;

import java.util.List;

//事件管理
public class BaseEvent {

    //是否清晰
    public static class VideoEvent {
        public boolean flag;

        public VideoEvent(boolean flag) {
            this.flag = flag;
        }
    }

    //待办任务刷新
    public static class RefreshEvent {
    }

    //互动列表刷新
    public static class RoomRefreshEvent {
    }

    //用户过期 或者 退出登录事件
    public static class LogoutEvent {
    }

    //会议刷新
    public static class MeetingEvent {
    }

    //基地刷新
    public static class BaseInfoEvent {
    }

    //用户上线刷新
    public static class UserEvent {
        public boolean isAdd;
        public List<String> memberList;

        public UserEvent(boolean isAdd, List<String> memberList) {
            this.isAdd = isAdd;
            this.memberList = memberList;
        }
    }

    //直播列表该刷新
    public static class EndLiveEvent {
    }

    //直播列表该刷新
    public static class LiveRrefreshEvent {
    }

    //课程审核列表刷新
    public static class TeacherCourseRefreshEvent {
    }

    //群信息变更
    public static class GroupInfoEvent {
        public String key;
        public boolean isCheck;

        public GroupInfoEvent(String key, boolean isCheck) {
            this.key = key;
            this.isCheck = isCheck;
        }
    }

}
