package com.wisewoods.base.bean;

import java.io.Serializable;
import java.util.List;

public class TeacherCourseList extends Results<TeacherCourseList.ListBean> {
    public static class ListBean {
        public List<DataBean> rows;
        public long total;
    }

    public static class DataBean implements Serializable {

        public String searchValue;
        public String createBy;
        public String createTime;
        public String updateBy;
        public String updateTime;
        public String remark;
        public Object params;
        public long id;
        public long treeId;
        public String courseName;
        public long teacherId;
        public String teacherName;
        public String teacherUnit;
        public String baseId;
        public String baseName;
        public String courseSystem;
        public String courseModular;
        public String courseTheme;
        public String courseSynopsis;
        public String courseThumbnailUrl;
        public String enclosureUrl;
        public List<Enclosure> enclosureUrlList;
        public String enclosureType;
        public String paperName;
        public String courseUuid;
        public int auditStatus;
        public String auditId;
        public Object tree;

    }

    public static class Enclosure implements Serializable {
        public String name;
        public String url;
    }

}
